Jump to content

Photo

Can import, but cannot export .nif files?


  • Please log in to reply
7 replies to this topic

#1
Galcyon

Galcyon

    Enthusiast

  • Members
  • PipPip
  • 117 posts

So, I'm using Blender 2.79b to alter some modded meshes for Skyrim Standard Edition, I've installed the scripts needed to import .nif files, but I can't seem to export them (despite having the option to do so). I can alter them and save them as .blend files, but the moment I try to export as a .nif, I get an error, and manually changing the file type to .nif fails to work.

 

Screencap of the error messsage

 

Spoiler

 

Anyone have any ideas as to what's happening?



#2
M48A5

M48A5

    Resident poster

  • Members
  • PipPipPipPipPip
  • 8,399 posts

Which version of NifScripts or Blender Plugin are you using.



#3
Galcyon

Galcyon

    Enthusiast

  • Members
  • PipPip
  • 117 posts

The file I have is... blender_nif_plugin-2.6.0a0.dev4.zip

 

Hm. "2.6.0a0". Maybe I'm using the wrong scripts? Was 2.6.0a0 a released Blender build, or am I just confusing the file version for Blender version compatability?



#4
M48A5

M48A5

    Resident poster

  • Members
  • PipPipPipPipPip
  • 8,399 posts

I think this answers your question "Currently there are no stable releases of Blender Nif Plugin 2.6.x series, the only developer builds" 

 

This covers all versions beginning with 2.6.  Use an older version.



#5
Galcyon

Galcyon

    Enthusiast

  • Members
  • PipPip
  • 117 posts

Cool. So, any suggestions as to which version I should be using, beyond one that's before 2.6?



#6
M48A5

M48A5

    Resident poster

  • Members
  • PipPipPipPipPip
  • 8,399 posts

I currently use version 2.0 dev7 without a problem.  I don't know if it will work for Skyrim.  You can check the NifSkope page at either sorceforge or github.



#7
parksbanyon

parksbanyon

    Stranger

  • Members
  • Pip
  • 2 posts

So did using a nifscript plugin series 5 work with blender 2.79? I don't want to use a blender version earlier than 2.79 if possible.



#8
asefhassan

asefhassan

    Stranger

  • Members
  • Pip
  • 2 posts

Hey there everyone, I am facing a very similar problem with Blender 2.49b,

I can successfully import NifFiles to Blender , but whenever I try to export the 3D model into a Nif File, Blender 2.49b shows this error -  

"export:CRITICAL:'Armature': Cannot export envelope skinning. If you have vertex groups, turn off envelopes. If you don't have vertex groups, select the bones one by one press W to convert their envelopes to vertex weights, and turn off envelopes.

NifExportError: 'Armature': Cannot export envelope skinning. Check console for instructions."

How do I solve this ?

Attached Files






Page loaded in: 0.882 seconds